Activity log for bug #997470

Date Who What changed Old value New value Message
2012-05-10 05:45:18 lufuhao bug added bug
2012-05-14 18:35:44 Launchpad Janitor xdiagnose (Ubuntu): status New Confirmed
2012-05-24 01:22:53 Bryce Harrington xdiagnose (Ubuntu): importance Undecided High
2012-05-24 01:23:41 Bryce Harrington description I nstall ubuntu 12.04 recently on a DELL inspiron 1440 notebook. I think the chipset is GM45 something. I am quite fresh on linux operation system. I do not know how could I solve this problem. It seems not only me have this problem. I install ubuntu 12.04 64bit and windows 7 64bit on my notebook. Every time I enter the ubuntu, I will notify me this problem for 4-5 times. It say "sorry, Ubuntu 12.04 has experienced an internal error". the detail are as follows: ExecutablePath /usr/share/apport/apport-gpu-error-intel.py Package xserver-xorg-xideo-intel2:2.17.0-1ubuntu4 ProblemType Crash Title [gm45] GPU lockup EIR: 0x00000010 PGTBL_ER: 0x00100000 ApportVerion 2.0.1-0ubuntu7 Architecture amd64 ......... ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: xdiagnose 2.5 ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14 Uname: Linux 3.2.0-24-generic x86_64 .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu7 Architecture: amd64 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz CurrentDmesg: [ 139.311070] init: plymouth-stop pre-start process (3041) terminated with status 1 Date: Thu May 10 14:30:41 2012 DistUpgraded: Fresh install DistroCodename: precise DistroVariant: ubuntu GraphicsCard: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07) (prog-if 00 [VGA controller]) Subsystem: Dell Device [1028:02cf] Subsystem: Dell Device [1028:02cf] InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425) MachineType: Dell Inc. Inspiron 1440 PackageArchitecture: all ProcEnviron: TERM=xterm PATH=(custom, no user) LANG=en_US.UTF-8 SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-24-generic root=UUID=dd6a65d6-fbb6-46ab-9fd5-1a1c48907d47 ro quiet splash vt.handoff=7 SourcePackage: xdiagnose UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 07/29/2009 dmi.bios.vendor: Dell Inc. dmi.bios.version: A03 dmi.board.name: 0K138P dmi.board.vendor: Dell Inc. dmi.chassis.type: 8 dmi.chassis.vendor: Dell Inc. dmi.modalias: dmi:bvnDellInc.:bvrA03:bd07/29/2009:svnDellInc.:pnInspiron1440:pvr:rvnDellInc.:rn0K138P:rvr:cvnDellInc.:ct8:cvr: dmi.product.name: Inspiron 1440 dmi.sys.vendor: Dell Inc. version.compiz: compiz 1:0.9.7.8-0ubuntu1 version.ia32-libs: ia32-libs 20090808ubuntu35 version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.1 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2 I installed ubuntu 12.04 recently on a DELL inspiron 1440 notebook. I think the chipset is GM45 something. I am quite fresh on linux operation system. I do not know how could I solve this problem. It seems not only me have this problem. I install ubuntu 12.04 64bit and windows 7 64bit on my notebook. Every time I enter the ubuntu, I will notify me this problem for 4-5 times. It say "sorry, Ubuntu 12.04 has experienced an internal error". the detail are as follows: ExecutablePath /usr/share/apport/apport-gpu-error-intel.py Package xserver-xorg-xideo-intel2:2.17.0-1ubuntu4 ProblemType Crash Title [gm45] GPU lockup EIR: 0x00000010 PGTBL_ER: 0x00100000 ApportVerion 2.0.1-0ubuntu7 Architecture amd64 ......... ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: xdiagnose 2.5 ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14 Uname: Linux 3.2.0-24-generic x86_64 .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu7 Architecture: amd64 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz CurrentDmesg: [ 139.311070] init: plymouth-stop pre-start process (3041) terminated with status 1 Date: Thu May 10 14:30:41 2012 DistUpgraded: Fresh install DistroCodename: precise DistroVariant: ubuntu GraphicsCard:  Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07) (prog-if 00 [VGA controller])    Subsystem: Dell Device [1028:02cf]    Subsystem: Dell Device [1028:02cf] InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425) MachineType: Dell Inc. Inspiron 1440 PackageArchitecture: all ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-24-generic root=UUID=dd6a65d6-fbb6-46ab-9fd5-1a1c48907d47 ro quiet splash vt.handoff=7 SourcePackage: xdiagnose UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 07/29/2009 dmi.bios.vendor: Dell Inc. dmi.bios.version: A03 dmi.board.name: 0K138P dmi.board.vendor: Dell Inc. dmi.chassis.type: 8 dmi.chassis.vendor: Dell Inc. dmi.modalias: dmi:bvnDellInc.:bvrA03:bd07/29/2009:svnDellInc.:pnInspiron1440:pvr:rvnDellInc.:rn0K138P:rvr:cvnDellInc.:ct8:cvr: dmi.product.name: Inspiron 1440 dmi.sys.vendor: Dell Inc. version.compiz: compiz 1:0.9.7.8-0ubuntu1 version.ia32-libs: ia32-libs 20090808ubuntu35 version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.1 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
2012-05-24 01:23:50 Bryce Harrington summary apport-gpu-error-intel.py keep craching for 4-5 times on every reboot apport-gpu-error-intel.py keep crashing for 4-5 times on every reboot
2012-05-29 10:09:44 Bálint Aradi bug added subscriber Bálint Aradi
2012-05-30 11:24:57 Michael Alexander bug added subscriber Michael Alexander
2012-05-31 05:17:45 Juraj Simon bug added subscriber Juraj Simon
2012-05-31 20:16:24 Rainer Pomrehn bug added subscriber Rainer Pomrehn
2012-06-09 19:22:41 Andrew Anderson bug added subscriber Andrew Anderson
2012-06-10 20:54:32 Laurent bug added subscriber Laurent
2012-06-12 19:43:32 Chris bug added subscriber Chris
2012-06-13 07:58:37 Sep Thijssen bug added subscriber Sep Thijssen
2012-06-15 20:02:00 Bryce Harrington description I installed ubuntu 12.04 recently on a DELL inspiron 1440 notebook. I think the chipset is GM45 something. I am quite fresh on linux operation system. I do not know how could I solve this problem. It seems not only me have this problem. I install ubuntu 12.04 64bit and windows 7 64bit on my notebook. Every time I enter the ubuntu, I will notify me this problem for 4-5 times. It say "sorry, Ubuntu 12.04 has experienced an internal error". the detail are as follows: ExecutablePath /usr/share/apport/apport-gpu-error-intel.py Package xserver-xorg-xideo-intel2:2.17.0-1ubuntu4 ProblemType Crash Title [gm45] GPU lockup EIR: 0x00000010 PGTBL_ER: 0x00100000 ApportVerion 2.0.1-0ubuntu7 Architecture amd64 ......... ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: xdiagnose 2.5 ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14 Uname: Linux 3.2.0-24-generic x86_64 .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu7 Architecture: amd64 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz CurrentDmesg: [ 139.311070] init: plymouth-stop pre-start process (3041) terminated with status 1 Date: Thu May 10 14:30:41 2012 DistUpgraded: Fresh install DistroCodename: precise DistroVariant: ubuntu GraphicsCard:  Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07) (prog-if 00 [VGA controller])    Subsystem: Dell Device [1028:02cf]    Subsystem: Dell Device [1028:02cf] InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425) MachineType: Dell Inc. Inspiron 1440 PackageArchitecture: all ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-24-generic root=UUID=dd6a65d6-fbb6-46ab-9fd5-1a1c48907d47 ro quiet splash vt.handoff=7 SourcePackage: xdiagnose UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 07/29/2009 dmi.bios.vendor: Dell Inc. dmi.bios.version: A03 dmi.board.name: 0K138P dmi.board.vendor: Dell Inc. dmi.chassis.type: 8 dmi.chassis.vendor: Dell Inc. dmi.modalias: dmi:bvnDellInc.:bvrA03:bd07/29/2009:svnDellInc.:pnInspiron1440:pvr:rvnDellInc.:rn0K138P:rvr:cvnDellInc.:ct8:cvr: dmi.product.name: Inspiron 1440 dmi.sys.vendor: Dell Inc. version.compiz: compiz 1:0.9.7.8-0ubuntu1 version.ia32-libs: ia32-libs 20090808ubuntu35 version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.1 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2 [Impact] Apport is disabled in the release itself, so this hook should not be getting triggered at all. However, for some users it does. This wouldn't be a big deal, except it also gets triggered in cases where no GPU lockup was experienced (aka False GPU lockups - bug #983640), which gives poor user experience. [Development Fix] Since we want any and all GPU lockup reports in the development release, we leave things as they are, and focus on getting a targeted fix to just #983640. [Stable Fix] Since we don't intend for the GPU lockup hook to be run at all, whether or not Apport is enabled, in the stable release we forcefully disable the udev hook entirely. If someone does specifically want this enabled, they'd need to also manually enable apport and so forth, in addition to re-enabling this udev rule. But I think it'd probably be easier for these people to just manually collect the gpu dump and dmesg directly, so don't expect anyone to need the script. [Test Case] The issues have been strange corner case problems that seem to be highly hardware-specific, and not synthetically reproducible. 1. On affected hardware, boot into a regular user session normally Expected Behavior: No apport popups about GPU lockups Broken Behavior: Apport pops up dialog about a GPU lockup bug, when nothing of the sort had actually happened. [Regression Potential] None really, as this is just disabling functionality we don't need enabled in the release. The class of regressions to watch for with this would be udev-related problems, or odd apport behaviors. But I don't think anything untoward is remotely likely to happen. [Original Report] I installed ubuntu 12.04 recently on a DELL inspiron 1440 notebook. I think the chipset is GM45 something. I am quite fresh on linux operation system. I do not know how could I solve this problem. It seems not only me have this problem. I install ubuntu 12.04 64bit and windows 7 64bit on my notebook. Every time I enter the ubuntu, I will notify me this problem for 4-5 times. It say "sorry, Ubuntu 12.04 has experienced an internal error". the detail are as follows: ExecutablePath /usr/share/apport/apport-gpu-error-intel.py Package xserver-xorg-xideo-intel2:2.17.0-1ubuntu4 ProblemType Crash Title [gm45] GPU lockup EIR: 0x00000010 PGTBL_ER: 0x00100000 ApportVerion 2.0.1-0ubuntu7 Architecture amd64 ......... ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: xdiagnose 2.5 ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14 Uname: Linux 3.2.0-24-generic x86_64 .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu7 Architecture: amd64 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz CurrentDmesg: [ 139.311070] init: plymouth-stop pre-start process (3041) terminated with status 1 Date: Thu May 10 14:30:41 2012 DistUpgraded: Fresh install DistroCodename: precise DistroVariant: ubuntu GraphicsCard:  Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07) (prog-if 00 [VGA controller])    Subsystem: Dell Device [1028:02cf]    Subsystem: Dell Device [1028:02cf] InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425) MachineType: Dell Inc. Inspiron 1440 PackageArchitecture: all ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-24-generic root=UUID=dd6a65d6-fbb6-46ab-9fd5-1a1c48907d47 ro quiet splash vt.handoff=7 SourcePackage: xdiagnose UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 07/29/2009 dmi.bios.vendor: Dell Inc. dmi.bios.version: A03 dmi.board.name: 0K138P dmi.board.vendor: Dell Inc. dmi.chassis.type: 8 dmi.chassis.vendor: Dell Inc. dmi.modalias: dmi:bvnDellInc.:bvrA03:bd07/29/2009:svnDellInc.:pnInspiron1440:pvr:rvnDellInc.:rn0K138P:rvr:cvnDellInc.:ct8:cvr: dmi.product.name: Inspiron 1440 dmi.sys.vendor: Dell Inc. version.compiz: compiz 1:0.9.7.8-0ubuntu1 version.ia32-libs: ia32-libs 20090808ubuntu35 version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.1 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
2012-06-15 20:02:28 Bryce Harrington nominated for series Ubuntu Precise
2012-06-15 20:02:28 Bryce Harrington bug task added xdiagnose (Ubuntu Precise)
2012-06-15 20:02:37 Bryce Harrington xdiagnose (Ubuntu Precise): status New Triaged
2012-06-15 20:02:40 Bryce Harrington xdiagnose (Ubuntu Precise): importance Undecided High
2012-06-15 20:02:42 Bryce Harrington xdiagnose (Ubuntu Precise): assignee Bryce Harrington (bryce)
2012-06-15 20:02:47 Bryce Harrington xdiagnose (Ubuntu): status Confirmed Won't Fix
2012-06-15 23:46:42 Bryce Harrington bug added subscriber Ubuntu Stable Release Updates Team
2012-06-19 02:44:32 Scott Kitterman xdiagnose (Ubuntu Precise): status Triaged Fix Committed
2012-06-19 02:44:37 Scott Kitterman bug added subscriber SRU Verification
2012-06-19 02:44:45 Scott Kitterman tags amd64 apport-bug compiz-0.9 precise regression-update ubuntu amd64 apport-bug compiz-0.9 precise regression-update ubuntu verification-needed
2012-06-19 03:18:06 Launchpad Janitor branch linked lp:ubuntu/precise-proposed/xdiagnose
2012-06-19 07:33:49 Jon Eliot bug added subscriber Jon Eliot
2012-06-19 17:15:52 Bryce Harrington tags amd64 apport-bug compiz-0.9 precise regression-update ubuntu verification-needed amd64 apport-bug compiz-0.9 precise regression-update ubuntu verification-done
2012-06-19 23:42:21 Jason Martin bug added subscriber Jason Martin
2012-06-27 16:58:11 Launchpad Janitor xdiagnose (Ubuntu Precise): status Fix Committed Fix Released
2012-07-08 23:56:24 Dylan McCall bug added subscriber Dylan McCall
2012-07-21 09:51:14 Yannick bug added subscriber Yannick
2012-10-09 04:59:04 oldmankit bug added subscriber oldmankit
2012-10-29 00:02:26 travis bug added subscriber travis
2013-03-20 14:30:35 Peter Forward bug added subscriber Peter Forward
2013-03-21 07:06:09 Tejinder Singh Kang bug added subscriber Tejinder Singh Kang
2013-03-28 21:28:45 Ronalds bug added subscriber Ronalds
2013-04-09 00:47:27 wei bug added subscriber wei
2013-04-11 13:34:35 Chad A. Davis bug added subscriber Chad A. Davis
2013-04-11 19:12:59 Bryce Harrington bug task added xserver-xorg-video-intel (Ubuntu)
2013-04-11 19:31:27 Bryce Harrington description [Impact] Apport is disabled in the release itself, so this hook should not be getting triggered at all. However, for some users it does. This wouldn't be a big deal, except it also gets triggered in cases where no GPU lockup was experienced (aka False GPU lockups - bug #983640), which gives poor user experience. [Development Fix] Since we want any and all GPU lockup reports in the development release, we leave things as they are, and focus on getting a targeted fix to just #983640. [Stable Fix] Since we don't intend for the GPU lockup hook to be run at all, whether or not Apport is enabled, in the stable release we forcefully disable the udev hook entirely. If someone does specifically want this enabled, they'd need to also manually enable apport and so forth, in addition to re-enabling this udev rule. But I think it'd probably be easier for these people to just manually collect the gpu dump and dmesg directly, so don't expect anyone to need the script. [Test Case] The issues have been strange corner case problems that seem to be highly hardware-specific, and not synthetically reproducible. 1. On affected hardware, boot into a regular user session normally Expected Behavior: No apport popups about GPU lockups Broken Behavior: Apport pops up dialog about a GPU lockup bug, when nothing of the sort had actually happened. [Regression Potential] None really, as this is just disabling functionality we don't need enabled in the release. The class of regressions to watch for with this would be udev-related problems, or odd apport behaviors. But I don't think anything untoward is remotely likely to happen. [Original Report] I installed ubuntu 12.04 recently on a DELL inspiron 1440 notebook. I think the chipset is GM45 something. I am quite fresh on linux operation system. I do not know how could I solve this problem. It seems not only me have this problem. I install ubuntu 12.04 64bit and windows 7 64bit on my notebook. Every time I enter the ubuntu, I will notify me this problem for 4-5 times. It say "sorry, Ubuntu 12.04 has experienced an internal error". the detail are as follows: ExecutablePath /usr/share/apport/apport-gpu-error-intel.py Package xserver-xorg-xideo-intel2:2.17.0-1ubuntu4 ProblemType Crash Title [gm45] GPU lockup EIR: 0x00000010 PGTBL_ER: 0x00100000 ApportVerion 2.0.1-0ubuntu7 Architecture amd64 ......... ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: xdiagnose 2.5 ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14 Uname: Linux 3.2.0-24-generic x86_64 .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu7 Architecture: amd64 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz CurrentDmesg: [ 139.311070] init: plymouth-stop pre-start process (3041) terminated with status 1 Date: Thu May 10 14:30:41 2012 DistUpgraded: Fresh install DistroCodename: precise DistroVariant: ubuntu GraphicsCard:  Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07) (prog-if 00 [VGA controller])    Subsystem: Dell Device [1028:02cf]    Subsystem: Dell Device [1028:02cf] InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425) MachineType: Dell Inc. Inspiron 1440 PackageArchitecture: all ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-24-generic root=UUID=dd6a65d6-fbb6-46ab-9fd5-1a1c48907d47 ro quiet splash vt.handoff=7 SourcePackage: xdiagnose UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 07/29/2009 dmi.bios.vendor: Dell Inc. dmi.bios.version: A03 dmi.board.name: 0K138P dmi.board.vendor: Dell Inc. dmi.chassis.type: 8 dmi.chassis.vendor: Dell Inc. dmi.modalias: dmi:bvnDellInc.:bvrA03:bd07/29/2009:svnDellInc.:pnInspiron1440:pvr:rvnDellInc.:rn0K138P:rvr:cvnDellInc.:ct8:cvr: dmi.product.name: Inspiron 1440 dmi.sys.vendor: Dell Inc. version.compiz: compiz 1:0.9.7.8-0ubuntu1 version.ia32-libs: ia32-libs 20090808ubuntu35 version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.1 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2 [Impact] Apport is disabled in the release itself, so this hook should not be getting triggered at all. However, for some users it does. This wouldn't be a big deal, except it also gets triggered in cases where no GPU lockup was experienced (aka False GPU lockups - bug #983640), which gives poor user experience. [Development Fix] Since we want any and all GPU lockup reports in the development release, we leave things as they are, and focus on getting a targeted fix to just #983640. [Stable Fix] Since we don't intend for the GPU lockup hook to be run at all, whether or not Apport is enabled, in the stable release we forcefully disable the udev hook entirely. If someone does specifically want this enabled, they'd need to also manually enable apport and so forth, in addition to re-enabling this udev rule. But I think it'd probably be easier for these people to just manually collect the gpu dump and dmesg directly, so don't expect anyone to need the script. A duplicate udev rule calling the gpu lockup apport hook has been installed by xserver-xorg-video-intel. Since the hook has been moved to xdiagnose, this extra rule is redundant and should be dropped from the package. Indeed, I believe this second hook is the cause of the false gpu lockup reports (the hook in xdiagnose was already fixed to not file these.) [Test Case] The issues have been strange corner case problems that seem to be highly hardware-specific, and not synthetically reproducible. 1. To verify the apport hook has been properly changed, do: grep apport-gpu-error /lib/udev/rules.d/* Expected Behavior: A single, commented-out line is printed Broken Behavior: Multiple lines printed, or the line is not commented out. 2. On affected hardware, boot into a regular user session normally Expected Behavior: No apport popups about GPU lockups Broken Behavior: Apport pops up dialog about a GPU lockup bug, when nothing of the sort had actually happened. [Regression Potential] None really, as this is just disabling functionality we don't need enabled in the release. The class of regressions to watch for with this would be udev-related problems, or odd apport behaviors. But I don't think anything untoward is remotely likely to happen. [Original Report] I installed ubuntu 12.04 recently on a DELL inspiron 1440 notebook. I think the chipset is GM45 something. I am quite fresh on linux operation system. I do not know how could I solve this problem. It seems not only me have this problem. I install ubuntu 12.04 64bit and windows 7 64bit on my notebook. Every time I enter the ubuntu, I will notify me this problem for 4-5 times. It say "sorry, Ubuntu 12.04 has experienced an internal error". the detail are as follows: ExecutablePath /usr/share/apport/apport-gpu-error-intel.py Package xserver-xorg-xideo-intel2:2.17.0-1ubuntu4 ProblemType Crash Title [gm45] GPU lockup EIR: 0x00000010 PGTBL_ER: 0x00100000 ApportVerion 2.0.1-0ubuntu7 Architecture amd64 ......... ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: xdiagnose 2.5 ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14 Uname: Linux 3.2.0-24-generic x86_64 .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu7 Architecture: amd64 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz CurrentDmesg: [ 139.311070] init: plymouth-stop pre-start process (3041) terminated with status 1 Date: Thu May 10 14:30:41 2012 DistUpgraded: Fresh install DistroCodename: precise DistroVariant: ubuntu GraphicsCard:  Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07) (prog-if 00 [VGA controller])    Subsystem: Dell Device [1028:02cf]    Subsystem: Dell Device [1028:02cf] InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425) MachineType: Dell Inc. Inspiron 1440 PackageArchitecture: all ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-24-generic root=UUID=dd6a65d6-fbb6-46ab-9fd5-1a1c48907d47 ro quiet splash vt.handoff=7 SourcePackage: xdiagnose UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 07/29/2009 dmi.bios.vendor: Dell Inc. dmi.bios.version: A03 dmi.board.name: 0K138P dmi.board.vendor: Dell Inc. dmi.chassis.type: 8 dmi.chassis.vendor: Dell Inc. dmi.modalias: dmi:bvnDellInc.:bvrA03:bd07/29/2009:svnDellInc.:pnInspiron1440:pvr:rvnDellInc.:rn0K138P:rvr:cvnDellInc.:ct8:cvr: dmi.product.name: Inspiron 1440 dmi.sys.vendor: Dell Inc. version.compiz: compiz 1:0.9.7.8-0ubuntu1 version.ia32-libs: ia32-libs 20090808ubuntu35 version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.1 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
2013-04-11 19:32:07 Bryce Harrington nominated for series Ubuntu Quantal
2013-04-11 19:32:07 Bryce Harrington bug task added xserver-xorg-video-intel (Ubuntu Quantal)
2013-04-11 19:32:07 Bryce Harrington bug task added xdiagnose (Ubuntu Quantal)
2013-04-11 19:32:07 Bryce Harrington nominated for series Ubuntu Raring
2013-04-11 19:32:07 Bryce Harrington bug task added xserver-xorg-video-intel (Ubuntu Raring)
2013-04-11 19:32:07 Bryce Harrington bug task added xdiagnose (Ubuntu Raring)
2013-04-11 19:32:58 Bryce Harrington xdiagnose (Ubuntu Quantal): status New Fix Released
2013-04-11 22:51:34 Brian Murray xserver-xorg-video-intel (Ubuntu Quantal): status New Fix Committed
2013-04-11 22:51:40 Brian Murray tags amd64 apport-bug compiz-0.9 precise regression-update ubuntu verification-done amd64 apport-bug compiz-0.9 precise regression-update ubuntu
2013-04-11 22:51:41 Brian Murray tags amd64 apport-bug compiz-0.9 precise regression-update ubuntu amd64 apport-bug compiz-0.9 precise regression-update ubuntu verification-needed
2013-04-11 23:28:20 Launchpad Janitor branch linked lp:ubuntu/quantal-proposed/xserver-xorg-video-intel
2013-04-11 23:35:03 Brian Murray xserver-xorg-video-intel (Ubuntu Precise): status New Fix Committed
2013-04-11 23:44:34 Launchpad Janitor branch linked lp:ubuntu/precise-proposed/xserver-xorg-video-intel
2013-04-12 02:49:43 Jeff removed subscriber Jeff
2013-04-12 06:23:26 Alessandro Dal Sasso bug added subscriber Alessandro Dal Sasso
2013-04-12 08:49:41 Launchpad Janitor branch linked lp:ubuntu/raring-proposed/xserver-xorg-video-intel
2013-04-12 10:59:12 Launchpad Janitor xserver-xorg-video-intel (Ubuntu): status New Confirmed
2013-04-12 10:59:24 Tomas Lycken xserver-xorg-video-intel (Ubuntu Raring): status Confirmed New
2013-04-13 07:56:33 Leonid Evdokimov bug added subscriber Leonid Evdokimov
2013-04-13 07:56:36 Launchpad Janitor xserver-xorg-video-intel (Ubuntu): status New Confirmed
2013-04-15 05:51:31 Eugene Savelov bug added subscriber Eugene Savelov
2013-04-15 18:48:18 Launchpad Janitor xserver-xorg-video-intel (Ubuntu Raring): status Confirmed Fix Released
2013-04-15 18:56:58 Pierre Rudloff bug added subscriber Pierre Rudloff
2013-04-15 18:57:06 Pierre Rudloff removed subscriber Pierre Rudloff
2013-04-18 11:06:26 Philip Wyett bug added subscriber Philip Wyett
2013-04-19 00:45:51 Bryce Harrington tags amd64 apport-bug compiz-0.9 precise regression-update ubuntu verification-needed amd64 apport-bug compiz-0.9 precise regression-update ubuntu verification-done
2013-04-22 02:47:03 oldmankit removed subscriber oldmankit
2013-04-22 18:31:30 Scott Kitterman removed subscriber Ubuntu Stable Release Updates Team
2013-04-22 18:31:35 Launchpad Janitor xserver-xorg-video-intel (Ubuntu Precise): status Fix Committed Fix Released
2013-04-22 18:37:46 Scott Kitterman tags amd64 apport-bug compiz-0.9 precise regression-update ubuntu verification-done amd64 apport-bug compiz-0.9 precise regression-update ubuntu verification-needed
2013-04-22 18:59:21 Bryce Harrington tags amd64 apport-bug compiz-0.9 precise regression-update ubuntu verification-needed amd64 apport-bug compiz-0.9 precise regression-update ubuntu verification-done
2013-04-22 19:07:14 Launchpad Janitor xserver-xorg-video-intel (Ubuntu Quantal): status Fix Committed Fix Released
2013-04-22 19:24:37 Ronalds removed subscriber Ronalds
2013-04-23 05:52:22 Olaf Schulz removed subscriber Olaf Schulz